.modal {
    position: fixed;
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
    width: 100%;
    z-index: 9999;
    display: flex;
    align-items: center;
    justify-content: center;
    background-color: rgba(0, 0, 0, 0.25);
    animation-name: appear;
    animation-duration: 300ms;

    &__dialog {
        width: 100%;
        max-width: 550px;
        background: #f35834;
        position: relative;
        margin: 0 20px;
        height: fit-content;
        text-align: left;
        display: flex;
        flex-direction: column;
        justify-content: space-between;
        overflow: hidden;
        box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2), 0 6px 20px 0 rgba(0, 0, 0, 0.19);
        -webkit-animation-name: animatetop;
        -webkit-animation-duration: 0.4s;
        animation-name: slide-in;
        animation-duration: 0.5s;
    }
    &__header,
    &__footer {
        display: flex;
        align-items: center;
        padding: 1rem;
        color: #f5f6f6;
    }

    &__header {
        background: #df522f;
        justify-content: space-between;
    }

    &__footer {
        justify-content: center;
    }
    &__close {
        cursor: pointer;
        padding: 1rem;
        margin: -1rem -1rem -1rem auto;
    }

    &__body {
        overflow: auto;
    }
    &__content {
        padding: 1rem;
        color: #f5f6f6;
        text-align: center;
    }

    &__title {
        margin: 0;
    }
    &__button{
        background-color: #bb4226;
        border: none;
        padding: 10px;
        color: #f5f6f6;
        text-align: center;
        cursor: pointer;
        margin: 0 10px;
    }
}


@keyframes appear {
    from {
        opacity: 0;
    }
    to {
        opacity: 1;
    }
}
@keyframes slide-in {
    from {
        transform: translateY(-150px);
    }
    to {
        transform: translateY(0);
    }
}
